Holger's Java API

## com.antelmann.crm
Enum AddressKey

    java.lang.Object
      java.lang.Enum<AddressKey>
          com.antelmann.crm.AddressKey

All Implemented Interfaces:
  Serializable, Comparable<AddressKey>

    public enum AddressKey

extends Enum<AddressKey>

defines the keys used to map column names for fields from a `GlobalAddress`

Author:
  Holger Antelmann
See Also:
  `AddressableMapper`, `Addressable`, `PropertyEntryWithAddress`

Enum Constant Summary
`BANK_ACCOUNT_BIC`
`BANK_ACCOUNT_CODE`
`BANK_ACCOUNT_COUNTRY_CODE`
`BANK_ACCOUNT_IBAN`
`BANK_ACCOUNT_NUMBER`
`BANK_ACCOUNT_OWNER`
`CITY`
`COUNTRY`
`EMAIL`
`FAX`
`FULL_ADDRESS`
`GEO_ALTITUTE`
`GEO_LATITUDE`
`GEO_LONGITUDE`
`IM`
`LANGUAGE`
`SALUTATION`
`SMS`
`STATE`
`STREET`
`STREET_NUMBER`
`TITLE`
`URL`
`VOICE`
`ZIP`

Method Summary
`static String[]` `getKeyNames()`
`static AddressKey` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AddressKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TITLE

    public static final AddressKey TITLE

### STREET

    public static final AddressKey STREET

### STREET_NUMBER

    public static final AddressKey STREET_NUMBER

### CITY

    public static final AddressKey CITY

### ZIP

    public static final AddressKey ZIP

### COUNTRY

    public static final AddressKey COUNTRY

### STATE

    public static final AddressKey STATE

### FULL_ADDRESS

    public static final AddressKey FULL_ADDRESS

### BANK_ACCOUNT_OWNER

    public static final AddressKey BANK_ACCOUNT_OWNER

### BANK_ACCOUNT_COUNTRY_CODE

    public static final AddressKey BANK_ACCOUNT_COUNTRY_CODE

### BANK_ACCOUNT_CODE

    public static final AddressKey BANK_ACCOUNT_CODE

### BANK_ACCOUNT_NUMBER

    public static final AddressKey BANK_ACCOUNT_NUMBER

### BANK_ACCOUNT_IBAN

    public static final AddressKey BANK_ACCOUNT_IBAN

### BANK_ACCOUNT_BIC

    public static final AddressKey BANK_ACCOUNT_BIC

### LANGUAGE

    public static final AddressKey LANGUAGE

### VOICE

    public static final AddressKey VOICE

### SMS

    public static final AddressKey SMS

### FAX

    public static final AddressKey FAX

### IM

    public static final AddressKey IM

### EMAIL

    public static final AddressKey EMAIL

### URL

    public static final AddressKey URL

### GEO_LATITUDE

    public static final AddressKey GEO_LATITUDE

### GEO_LONGITUDE

    public static final AddressKey GEO_LONGITUDE

### GEO_ALTITUTE

    public static final AddressKey GEO_ALTITUTE

### SALUTATION

    public static final AddressKey SALUTATION

Method Detail

### values

    public static AddressKey[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AddressKey c : AddressKey.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AddressKey valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getKeyNames

    public static String[] getKeyNames()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads